Paul Menzel (paulepanter@users.sourceforge.net) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/3980
-gerrit
commit 99819abf9a3cc7e66ea7b1713a8fff7025e5e862 Author: Paul Menzel paulepanter@users.sourceforge.net Date: Sat Oct 19 08:30:09 2013 +0200
util/crossgcc/buildgcc: Check for Wget as it is used to download the archives
Although, Wget is mostly installed by default, there are cases were it is not.
Downloading tar balls ... * gmp-5.1.2.tar.bz2 (downloading)./buildgcc: line 272: wget: command not found
So check for it. There only seems to be GNU Wget, so `searchgnu` could probably be used for this too.
Change-Id: Ia33412d44911f795761bcdb8d44c9b5d215a8fbc Signed-off-by: Paul Menzel paulepanter@users.sourceforge.net --- util/crossgcc/buildgcc | 7 ++++++- 1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/util/crossgcc/buildgcc b/util/crossgcc/buildgcc index 3754837..cf19b8c 100755 --- a/util/crossgcc/buildgcc +++ b/util/crossgcc/buildgcc @@ -130,6 +130,11 @@ if ! flex --version > /dev/null 2> /dev/null; then exit 1 fi
+WGET=wget +if ! $WGET --version > /dev/null 2> /dev/null; then + printf "${RED}ERROR:${red} Missing tool chain (program for downloading archives): wget${NC}\n" >&2 +fi + cleanup() { printf "Cleaning up temporary files... " @@ -269,7 +274,7 @@ for ARCHIVE in $GMP_ARCHIVE $MPFR_ARCHIVE $MPC_ARCHIVE $LIBELF_ARCHIVE \ test -f tarballs/$FILE && printf "(cached)" || ( printf "(downloading)" cd tarballs - wget --no-check-certificate -q $ARCHIVE + $WGET --no-check-certificate -q $ARCHIVE ) test -f tarballs/$FILE || \ printf "\n${RED}Failed to download $FILE.${NC}\n"